// Includes ------------------------------------------------------------------*/
#include "stm32f10x.h"
#define LEDG 			GPIO_Pin_9
#define LEDB 			GPIO_Pin_8
#define LEDPORT			GPIOC
#define LEDPORTCLK		RCC_APB2Periph_GPIOC
#define BUTTON			GPIO_Pin_0
#define BUTTONPORT		GPIOA
#define BUTTONPORTCLK	RCC_APB2Periph_GPIOA
//delay function
void Delay(__IO uint32_t nCount)
{
  for(; nCount != 0; nCount--);
}
int main(void)
{
  //flasher flag
  uint32_t ledon=0;
  //GPIO structure used to initialize port
  GPIO_InitTypeDef GPIO_InitStructure;
  //Enable clock on APB2 pripheral bus where button and LEDs are connected
  RCC_APB2PeriphClockCmd(LEDPORTCLK | BUTTONPORTCLK,  ENABLE);
  //select pins to initialize LED
  GPIO_InitStructure.GPIO_Pin = LEDG|LEDB;
  //select output push-pull mode
  GPIO_InitStructure.GPIO_Mode = GPIO_Mode_Out_PP;
  //highest speed available
  GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;
  GPIO_Init(LEDPORT, &GPIO_InitStructure);
  //using same structure we will initialize button pin
  //select pin to initialize button
  GPIO_InitStructure.GPIO_Pin = BUTTON;
  //select input floating
  GPIO_InitStructure.GPIO_Mode = GPIO_Mode_IN_FLOATING;
  GPIO_Init(BUTTONPORT, &GPIO_InitStructure);
while (1)
  {
	//read button
	if (GPIO_ReadInputDataBit(BUTTONPORT, BUTTON))
	{
		//green led on
		GPIO_SetBits(LEDPORT, LEDG);
		//toggle flasher
		ledon ^= 1;
		//dummy debounce
		Delay(500000);
		//green led off
		GPIO_ResetBits(LEDPORT, LEDG);
	}
	if (ledon)
	{
		GPIO_SetBits(LEDPORT, LEDB);
	}
	else
	{
		GPIO_ResetBits(LEDPORT, LEDB);
	}
  }
}


